org.apache.fop.pdf

## Class PDFTransitionAction

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFIdentifiedDictionary
      - - org.apache.fop.pdf.PDFNavigatorAction
        - - org.apache.fop.pdf.PDFTransitionAction

All Implemented Interfaces:
  PDFWritable

    public class PDFTransitionAction
    extends PDFNavigatorAction

### Nested Class Summary

Nested Classes
`static class` `PDFTransitionAction.Resolver`

### Field Summary

### Fields inherited from class org.apache.fop.pdf.PDFDictionary

`entries, order`

### Fields inherited from class org.apache.fop.pdf.PDFObject

`log`

### Constructor Summary

Constructors
Constructor and Description
`PDFTransitionAction(String id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `output(OutputStream stream)` Write the PDF represention of this object
`void` `populate(Object transition, Object nextAction)`
`void` `setResolver(PDFTransitionAction.Resolver resolver)`

### Methods inherited from class org.apache.fop.pdf.PDFIdentifiedDictionary

`getId, hasId`

### Methods inherited from class org.apache.fop.pdf.PDFDictionary

`containsKey, get, getChildren, getChildren, keySet, put, put, remove, writeDictionary`

### Methods inherited from class org.apache.fop.pdf.PDFObject

`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, supportsObjectStream, toPDF, toPDFString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFTransitionAction

    public PDFTransitionAction(String id)

### Method Detail

#### output

    public int output(OutputStream stream)
               throws IOException

Description copied from class: `PDFDictionary`
Write the PDF represention of this object

Overrides:
  `output` in class `PDFDictionary`
Parameters:
  `stream` - the stream to write the PDF to
Returns:
  the number of bytes written
Throws:
  `IOException` - if there is an error writing to the stream

#### setResolver

    public void setResolver(PDFTransitionAction.Resolver resolver)

#### populate

    public void populate(Object transition,
                         Object nextAction)